QGIS Application - Feature request #5628
optional "Layer Order" entries for Labels and Diagrams
2012-05-23 07:16 AM - Matt Sim

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15196
Description

Add the ability to control the rendering order of Labels and Diagrams. Perhaps with the addition list entries named: "layername [Labels]"
and "layername [Diagrams]" or an icon beside the layername. This would also be a handy way to quickly toggle Label/Diagram visibility.

Of course, this would open a can of worms regarding order behaviour. Do new labels go above source layer by default, or the top of
stack? Can the old behaviour be toggled on/off "Always keep labels at top"? etc, etc.

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#3 - 2015-02-10 02:43 AM - Christophe Damour
I would like to second this request, as | find it very important to be able to tune label and diagram display independantly.

Right now I can only chose to have all diagrams AND labels displayed, or only non overlapping ones, which results often in having either the diagram or the
label.

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
